API Reference
Guest · Self Order
QR self-ordering. The QR token in the path is the credential.
3 endpoints
get
/api/v1/guest/self-order/{qrToken}Get qrToken
Path parameters
| qrTokenrequired string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/guest/self-order/{qrToken}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/guest/self-order/{qrToken}/ordersCreate orders
Path parameters
| qrTokenrequired string | — |
Request body
application/json
{
"items": [
{
"productId": "00000000-0000-0000-0000-000000000000",
"quantity": 0,
"modifierOptionIds": [
"00000000-0000-0000-0000-000000000000"
]
}
],
"payments": [
{
"methodId": "00000000-0000-0000-0000-000000000000",
"amountIqd": 0
}
]
}| items SelfOrderItemRequest[] | — |
| payments SelfOrderPaymentRequest[] | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/guest/self-order/{qrToken}/orders" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"items": [
{
"productId": "00000000-0000-0000-0000-000000000000",
"quantity": 0,
"modifierOptionIds": [
"00000000-0000-0000-0000-000000000000"
]
}
],
"payments": [
{
"methodId": "00000000-0000-0000-0000-000000000000",
"amountIqd": 0
}
]
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/guest/self-order/{qrToken}/quoteCreate quote
Path parameters
| qrTokenrequired string | — |
Request body
application/json
{
"items": [
{
"productId": "00000000-0000-0000-0000-000000000000",
"quantity": 0,
"modifierOptionIds": [
"00000000-0000-0000-0000-000000000000"
]
}
]
}| items SelfOrderItemRequest[] | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/guest/self-order/{qrToken}/quote" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"items": [
{
"productId": "00000000-0000-0000-0000-000000000000",
"quantity": 0,
"modifierOptionIds": [
"00000000-0000-0000-0000-000000000000"
]
}
]
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu